Package org.eclipse.emf.spi.cdo

# Interface CDOSessionProtocol

All Superinterfaces:
  `CDOProtocol`, `CDOProtocolConstants`, `InternalCDOBranchManager.BranchLoader`, `InternalCDOBranchManager.BranchLoader2`, `InternalCDOBranchManager.BranchLoader3`, `InternalCDOBranchManager.BranchLoader4`, `InternalCDOBranchManager.BranchLoader5`, `InternalCDOCommitInfoManager.CommitInfoLoader`, `InternalCDOPackageRegistry.PackageLoader`, `InternalCDORevisionManager.RevisionLoader`, `InternalCDORevisionManager.RevisionLoader2`, `InternalCDORevisionManager.RevisionLoader3`

public interface CDOSessionProtocol extends CDOProtocol, InternalCDOPackageRegistry.PackageLoader, InternalCDOBranchManager.BranchLoader5, InternalCDORevisionManager.RevisionLoader3, InternalCDOCommitInfoManager.CommitInfoLoader
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  2.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final class`
`CDOSessionProtocol.CommitTransactionResult`
If the meaning of this type isn't clear, there really should be more of a description here...
`static final class`
`CDOSessionProtocol.LockObjectsResult`
If the meaning of this type isn't clear, there really should be more of a description here...
`static final class`
`CDOSessionProtocol.MergeDataResult`
If the meaning of this type isn't clear, there really should be more of a description here...
`static final class`
`CDOSessionProtocol.OpenSessionResult`
If the meaning of this type isn't clear, there really should be more of a description here...
`static final class`
`CDOSessionProtocol.RefreshSessionResult`
If the meaning of this type isn't clear, there really should be more of a description here...
`static final class`
`CDOSessionProtocol.RepositoryTimeResult`
If the meaning of this type isn't clear, there really should be more of a description here...
`static final class`
`CDOSessionProtocol.UnlockObjectsResult`
If the meaning of this type isn't clear, there really should be more of a description here...

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.protocol.CDOProtocol

`CDOProtocol.CommitData, CDOProtocol.CommitNotificationInfo`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.protocol.CDOProtocolConstants

`CDOProtocolConstants.UnitOpcode`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

`InternalCDOBranchManager.BranchLoader.BranchInfo, InternalCDOBranchManager.BranchLoader.SubBranchInfo`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.common.protocol.CDOProtocolConstants

`DEFAULT_OPTIMISTIC_LOCKING_TIMEOUT, NO_MORE_REMOTE_SESSIONS, PROTOCOL_NAME, PROTOCOL_VERSION, QUERY_LANGUAGE_INSTANCES, QUERY_LANGUAGE_INSTANCES_EXACT, QUERY_LANGUAGE_INSTANCES_TYPE, QUERY_LANGUAGE_RESOURCES, QUERY_LANGUAGE_RESOURCES_EXACT_MATCH, QUERY_LANGUAGE_RESOURCES_FOLDER_ID, QUERY_LANGUAGE_XREFS, QUERY_LANGUAGE_XREFS_SOURCE_REFERENCES, QUERY_RESULT_EXCEPTION, QUERY_RESULT_PRIMITIVE, QUERY_RESULT_REVISION, REFRESH_CHANGED_OBJECT, REFRESH_DETACHED_OBJECT, REFRESH_FINISHED, REFRESH_PACKAGE_UNIT, RELEASE_ALL_LOCKS, REMOTE_SESSION_CLOSED, REMOTE_SESSION_CUSTOM_DATA, REMOTE_SESSION_OPENED, REMOTE_SESSION_SUBSCRIBED, REMOTE_SESSION_UNSUBSCRIBED, REPLICATE_BRANCH, REPLICATE_COMMIT, REPLICATE_FINISHED, REPLICATE_LOCKAREA, REVISION_DOES_NOT_EXIST, ROLLBACK_REASON_COMMIT_CONFLICT, ROLLBACK_REASON_CONTAINMENT_CYCLE, ROLLBACK_REASON_OPTIMISTIC_LOCKING, ROLLBACK_REASON_REFERENTIAL_INTEGRITY, ROLLBACK_REASON_UNIT_INTEGRITY, ROLLBACK_REASON_UNKNOWN, ROLLBACK_REASON_VALIDATION_ERROR, SIGNAL_AUTHENTICATION, SIGNAL_AUTHORIZE_OPERATIONS, SIGNAL_BRANCH_NOTIFICATION, SIGNAL_CHANGE_CREDENTIALS, SIGNAL_CHANGE_SUBSCRIPTION, SIGNAL_CHANGE_TAG, SIGNAL_CLOSE_VIEW, SIGNAL_COMMIT_DELEGATION, SIGNAL_COMMIT_NOTIFICATION, SIGNAL_COMMIT_TRANSACTION, SIGNAL_CREATE_BRANCH, SIGNAL_CREDENTIALS_CHALLENGE, SIGNAL_DELETE_BRANCH, SIGNAL_DISABLE_PASSIVE_UPDATE, SIGNAL_ENABLE_LOCK_NOTIFICATION, SIGNAL_GET_REMOTE_SESSIONS, SIGNAL_HANDLE_REVISIONS, SIGNAL_LOAD_BRANCH, SIGNAL_LOAD_BRANCHES, SIGNAL_LOAD_CHANGE_SETS, SIGNAL_LOAD_CHUNK, SIGNAL_LOAD_COMMIT_DATA, SIGNAL_LOAD_COMMIT_INFOS, SIGNAL_LOAD_LOB, SIGNAL_LOAD_MERGE_DATA, SIGNAL_LOAD_OBJECT_LIFETIME, SIGNAL_LOAD_PACKAGES, SIGNAL_LOAD_PERMISSIONS, SIGNAL_LOAD_REVISION_BY_VERSION, SIGNAL_LOAD_REVISIONS, SIGNAL_LOAD_SUB_BRANCHES, SIGNAL_LOAD_TAGS, SIGNAL_LOCK_AREA, SIGNAL_LOCK_DELEGATION, SIGNAL_LOCK_NOTIFICATION, SIGNAL_LOCK_OBJECTS, SIGNAL_LOCK_OWNER_REMAPPED_NOTIFICATION, SIGNAL_LOCK_STATE, SIGNAL_OBJECT_LOCKED, SIGNAL_OPEN_SESSION, SIGNAL_OPEN_VIEW, SIGNAL_OPENED_SESSION, SIGNAL_QUERY, SIGNAL_QUERY_CANCEL, SIGNAL_QUERY_LOBS, SIGNAL_REFRESH_SESSION, SIGNAL_REMOTE_MESSAGE, SIGNAL_REMOTE_MESSAGE_NOTIFICATION, SIGNAL_REMOTE_SESSION_NOTIFICATION, SIGNAL_REMOTE_TOPIC, SIGNAL_RENAME_BRANCH, SIGNAL_REPLICATE_REPOSITORY, SIGNAL_REPLICATE_REPOSITORY_RAW, SIGNAL_REPOSITORY_STATE_NOTIFICATION, SIGNAL_REPOSITORY_TIME, SIGNAL_REPOSITORY_TYPE_NOTIFICATION, SIGNAL_RESET_TRANSACTION, SIGNAL_SET_LOCK_NOTIFICATION_MODE, SIGNAL_SET_PASSIVE_UPDATE_MODE, SIGNAL_SWITCH_TARGET, SIGNAL_TAG_NOTIFICATION, SIGNAL_UNIT, SIGNAL_UNLOCK_DELEGATION, SIGNAL_UNLOCK_OBJECTS, SIGNAL_UNSUBSCRIBE_REMOTE_SESSIONS, SIGNAL_USER_OFFSET, SIGNAL_VIEW_CLOSED_NOTIFICATION, SIGNAL_XA_COMMIT_TRANSACTION_CANCEL, SIGNAL_XA_COMMIT_TRANSACTION_PHASE1, SIGNAL_XA_COMMIT_TRANSACTION_PHASE2, SIGNAL_XA_COMMIT_TRANSACTION_PHASE3, X_COMPRESSION`

### Fields inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

`NEW_BRANCH, NEW_LOCAL_BRANCH`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`authorizeOperations(org.eclipse.net4j.util.security.operations.AuthorizableOperation[] operations)`
`boolean`
`cancelQuery(int queryId)`
`String`
`changeLockArea(CDOView view, boolean create)`
`void`
`changeSubscription(int viewId, List<CDOID> ids, boolean subscribeMode, boolean clear)`
`void`
`closeView(int viewID)`
`CDOSessionProtocol.CommitTransactionResult`
`commitDelegation(CDOBranch branch, String userID, String comment, CDOCommitData commitData, Map<CDOID,EClass> detachedObjectTypes, Collection<CDOLob<?>> lobs, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Deprecated.
`CDOSessionProtocol.CommitTransactionResult`
`commitDelegation(InternalCDOTransaction.InternalCDOCommitContext context, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`CDOSessionProtocol.CommitTransactionResult`
`commitTransaction(int transactionID, String comment, boolean releaseLocks, CDOIDProvider idProvider, CDOCommitData commitData, Collection<CDOLob<?>> lobs, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Deprecated.
`CDOSessionProtocol.CommitTransactionResult`
`commitTransaction(InternalCDOTransaction.InternalCDOCommitContext context, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`CDOSessionProtocol.CommitTransactionResult`
`commitXATransactionCancel(InternalCDOXATransaction.InternalCDOXACommitContext xaContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`CDOSessionProtocol.CommitTransactionResult`
`commitXATransactionPhase1(InternalCDOXATransaction.InternalCDOXACommitContext xaContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`CDOSessionProtocol.CommitTransactionResult`
`commitXATransactionPhase2(InternalCDOXATransaction.InternalCDOXACommitContext xaContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`CDOSessionProtocol.CommitTransactionResult`
`commitXATransactionPhase3(InternalCDOXATransaction.InternalCDOXACommitContext xaContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`CDOSessionProtocol.LockObjectsResult`
`delegateLockObjects(String lockAreaID, List<CDORevisionKey> revisionKeys, CDOBranch viewedBranch, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, boolean recursive, long timeout)`
`CDOSessionProtocol.UnlockObjectsResult`
`delegateUnlockObjects(String lockAreaID, Collection<CDOID> objectIDs, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, boolean recursive)`
`void`
`disablePassiveUpdate()`
`void`
`enableLockNotifications(int viewID, boolean enable)`
`CDOLockState[]`
`getLockStates(int viewID, Collection<CDOID> ids)`
Deprecated.
`CDOLockState[]`
`getLockStates(int branchID, Collection<CDOID> ids, int depth)`
Deprecated.
`List<CDOLockState>`
`getLockStates2(int branchID, Collection<CDOID> ids, int depth)`
`List<CDORemoteSession>`
`getRemoteSessions(InternalCDORemoteSessionManager manager, boolean subscribe)`
`CDOSessionProtocol.RepositoryTimeResult`
`getRepositoryTime()`
`boolean`
`isObjectLocked(CDOView view, CDOObject object, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, boolean byOthers)`
`CDOChangeSetData[]`
`loadChangeSets(CDOBranchPointRange... ranges)`
`Object`
`loadChunk(InternalCDORevision revision, EStructuralFeature feature, int accessIndex, int fetchIndex, int fromIndex, int toIndex)`
`void`
`loadLob(CDOLobInfo info, Object outputStreamOrWriter)`
`Set<CDOID>`
`loadMergeData(CDORevisionAvailabilityInfo targetInfo, CDORevisionAvailabilityInfo sourceInfo, CDORevisionAvailabilityInfo targetBaseInfo, CDORevisionAvailabilityInfo sourceBaseInfo)`
Deprecated.
`CDOSessionProtocol.MergeDataResult`
`loadMergeData2(CDORevisionAvailabilityInfo targetInfo, CDORevisionAvailabilityInfo sourceInfo, CDORevisionAvailabilityInfo targetBaseInfo, CDORevisionAvailabilityInfo sourceBaseInfo)`
`Map<CDORevision,CDOPermission>`
`loadPermissions(InternalCDORevision[] revisions)`
Deprecated.
`Map<CDORevision,CDOPermission>`
`loadPermissions3(Map<CDOBranchPoint,Set<InternalCDORevision>> revisions)`
`CDOSessionProtocol.LockObjectsResult`
`lockObjects(List<InternalCDORevision> viewedRevisions, int viewID, CDOBranch viewedBranch, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, long timeout)`
Deprecated.
`CDOSessionProtocol.LockObjectsResult`
`lockObjects2(List<CDORevisionKey> revisionKeys, int viewID, CDOBranch viewedBranch, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, boolean recursive, long timeout)`
`void`
`openedSession()`
`CDOBranchPoint`
`openView(int viewID, boolean readOnly, String durableLockingID)`
Deprecated.
`CDOBranchPoint`
`openView(int viewID, boolean readOnly, String durableLockingID, BiConsumer<CDOID,IDurableLockingManager.LockGrade> consumer)`
`void`
`openView(int viewID, boolean readOnly, CDOBranchPoint branchPoint)`
`void`
`query(CDOView view, AbstractQueryIterator<?> queryResult)`
`List<byte[]>`
`queryLobs(Set<byte[]> ids)`
`CDOSessionProtocol.RefreshSessionResult`
`refresh(long lastUpdateTime, Map<CDOBranch,Map<CDOID,InternalCDORevision>> viewedRevisions, int initialChunkSize, boolean enablePassiveUpdates)`
`void`
`replicateRepository(CDOReplicationContext context, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`void`
`replicateRepositoryRaw(CDORawReplicationContext context, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`void`
`requestChangeCredentials()`
Deprecated.
`void`
`requestChangeServerPassword(AtomicReference<char[]> receiver)`
Requests that the server initiate the change-credentials protocol.
`void`
`requestResetCredentials(String userID)`
Requests that the server initiate the reset-credentials protocol.
`boolean`
`requestUnit(int viewID, CDOID rootID, CDOProtocolConstants.UnitOpcode opcode, boolean prefetchLockStates, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor safe)`
`boolean`
`requestUnit(int viewID, CDOID rootID, CDOProtocolConstants.UnitOpcode opcode, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Deprecated.
`CDOCommitInfo`
`resetTransaction(int transactionID, int commitNumber)`
`Set<Integer>`
`sendRemoteMessage(CDORemoteSessionMessage message, List<CDORemoteSession> recipients)`
Deprecated.
As of 4.8 use `sendRemoteMessage(CDORemoteSessionMessage, CDORemoteTopic, List)`.
`Set<Integer>`
`sendRemoteMessage(CDORemoteSessionMessage message, CDORemoteTopic topic, List<CDORemoteSession> recipients)`
`void`
`setLockNotificationMode(CDOCommonSession.Options.LockNotificationMode mode)`
`void`
`setPassiveUpdateMode(CDOCommonSession.Options.PassiveUpdateMode mode)`
`Set<Integer>`
`subscribeRemoteTopic(String id, boolean on)`
`void`
`switchTarget(int viewID, CDOBranchPoint branchPoint, List<InternalCDOObject> invalidObjects, List<CDORevisionKey> allChangedObjects, List<CDOIDAndVersion> allDetachedObjects, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`void`
`unlockObjects(CDOView view, Collection<CDOID> objectIDs, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType)`
Deprecated.
`CDOSessionProtocol.UnlockObjectsResult`
`unlockObjects2(CDOView view, Collection<CDOID> objectIDs, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, boolean recursive)`
`boolean`
`unsubscribeRemoteSessions()`

### Methods inherited from interface org.eclipse.emf.cdo.common.protocol.CDOProtocol

`getSession`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

`createBranch, loadBranch, loadBranches, loadSubBranches`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader2

`deleteBranch, renameBranch`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader3

`renameBranch`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader4

`changeTag, loadTags`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader5

`deleteBranches`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.commit.InternalCDOCommitInfoManager.CommitInfoLoader

`loadCommitData, loadCommitInfos`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.model.InternalCDOPackageRegistry.PackageLoader

`loadPackages`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.revision.InternalCDORevisionManager.RevisionLoader

`handleRevisions, loadRevisionByVersion, loadRevisions`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.revision.InternalCDORevisionManager.RevisionLoader2

`loadObjectLifetime`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.revision.InternalCDORevisionManager.RevisionLoader3

`loadRevisions`

## Method Details

### getRepositoryTime

CDOSessionProtocol.RepositoryTimeResult getRepositoryTime()

### openedSession

void openedSession()

Since:
  4.5

### disablePassiveUpdate

void disablePassiveUpdate()

Since:
  3.0

### setPassiveUpdateMode

void setPassiveUpdateMode(CDOCommonSession.Options.PassiveUpdateMode mode)

Since:
  3.0

### setLockNotificationMode

void setLockNotificationMode(CDOCommonSession.Options.LockNotificationMode mode)

Since:
  4.1

### refresh

CDOSessionProtocol.RefreshSessionResult refresh(long lastUpdateTime, Map<CDOBranch,Map<CDOID,InternalCDORevision>> viewedRevisions, int initialChunkSize, boolean enablePassiveUpdates)

Since:
  3.0

### loadChunk

Object loadChunk(InternalCDORevision revision, EStructuralFeature feature, int accessIndex, int fetchIndex, int fromIndex, int toIndex)

Parameters:
  `accessIndex` - Index of the item access at the client (with modifications)
  `fetchIndex` - Index of the item access at the server (without any modifications)
  `fromIndex` - Load objects at the client from fromIndex (inclusive)
  `toIndex` - Load objects at the client to toIndex (inclusive)

### openView

void openView(int viewID, boolean readOnly, CDOBranchPoint branchPoint)

Since:
  4.0

### openView

CDOBranchPoint openView(int viewID, boolean readOnly, String durableLockingID, BiConsumer<CDOID,IDurableLockingManager.LockGrade> consumer)

Since:
  4.15

### switchTarget

void switchTarget(int viewID, CDOBranchPoint branchPoint, List<InternalCDOObject> invalidObjects, List<CDORevisionKey> allChangedObjects, List<CDOIDAndVersion> allDetachedObjects, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

Since:
  4.0

### closeView

void closeView(int viewID)

### changeSubscription

void changeSubscription(int viewId, List<CDOID> ids, boolean subscribeMode, boolean clear)

### query

void query(CDOView view, AbstractQueryIterator<?> queryResult)

Since:
  4.0

### cancelQuery

boolean cancelQuery(int queryId)

### lockObjects2

CDOSessionProtocol.LockObjectsResult lockObjects2(List<CDORevisionKey> revisionKeys, int viewID, CDOBranch viewedBranch, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, boolean recursive, long timeout) throws InterruptedException

Throws:
  `InterruptedException`
Since:
  4.1

### delegateLockObjects

CDOSessionProtocol.LockObjectsResult delegateLockObjects(String lockAreaID, List<CDORevisionKey> revisionKeys, CDOBranch viewedBranch, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, boolean recursive, long timeout) throws InterruptedException

Throws:
  `InterruptedException`
Since:
  4.1

### unlockObjects2

CDOSessionProtocol.UnlockObjectsResult unlockObjects2(CDOView view, Collection<CDOID> objectIDs, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, boolean recursive)

Since:
  4.1

### delegateUnlockObjects

CDOSessionProtocol.UnlockObjectsResult delegateUnlockObjects(String lockAreaID, Collection<CDOID> objectIDs, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, boolean recursive)

Since:
  4.1

### isObjectLocked

boolean isObjectLocked(CDOView view, CDOObject object, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, boolean byOthers)

Since:
  3.0

### changeLockArea

String changeLockArea(CDOView view, boolean create)

Since:
  4.0

### queryLobs

List<byte[]> queryLobs(Set<byte[]> ids)

Since:
  4.0

### loadLob

void loadLob(CDOLobInfo info, Object outputStreamOrWriter) throws IOException

Throws:
  `IOException`
Since:
  4.0

### commitTransaction

CDOSessionProtocol.CommitTransactionResult commitTransaction(InternalCDOTransaction.InternalCDOCommitContext context, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

Since:
  4.1

### commitDelegation

CDOSessionProtocol.CommitTransactionResult commitDelegation(InternalCDOTransaction.InternalCDOCommitContext context, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

Since:
  4.1

### commitXATransactionPhase1

CDOSessionProtocol.CommitTransactionResult commitXATransactionPhase1(InternalCDOXATransaction.InternalCDOXACommitContext xaContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

Since:
  3.0

### commitXATransactionPhase2

CDOSessionProtocol.CommitTransactionResult commitXATransactionPhase2(InternalCDOXATransaction.InternalCDOXACommitContext xaContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

Since:
  3.0

### commitXATransactionPhase3

CDOSessionProtocol.CommitTransactionResult commitXATransactionPhase3(InternalCDOXATransaction.InternalCDOXACommitContext xaContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

Since:
  3.0

### commitXATransactionCancel

CDOSessionProtocol.CommitTransactionResult commitXATransactionCancel(InternalCDOXATransaction.InternalCDOXACommitContext xaContext, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

Since:
  3.0

### resetTransaction

CDOCommitInfo resetTransaction(int transactionID, int commitNumber)

Since:
  4.5

### getRemoteSessions

List<CDORemoteSession> getRemoteSessions(InternalCDORemoteSessionManager manager, boolean subscribe)

### sendRemoteMessage

@Deprecated Set<Integer> sendRemoteMessage(CDORemoteSessionMessage message, List<CDORemoteSession> recipients)
Deprecated.
As of 4.8 use `sendRemoteMessage(CDORemoteSessionMessage, CDORemoteTopic, List)`.

Since:
  3.0

### sendRemoteMessage

Set<Integer> sendRemoteMessage(CDORemoteSessionMessage message, CDORemoteTopic topic, List<CDORemoteSession> recipients)

Since:
  4.17

### subscribeRemoteTopic

Set<Integer> subscribeRemoteTopic(String id, boolean on)

Since:
  4.17

### unsubscribeRemoteSessions

boolean unsubscribeRemoteSessions()

Since:
  3.0

### replicateRepository

void replicateRepository(CDOReplicationContext context, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

Since:
  4.0

### replicateRepositoryRaw

void replicateRepositoryRaw(CDORawReplicationContext context, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

Since:
  4.0

### loadChangeSets

CDOChangeSetData[] loadChangeSets(CDOBranchPointRange... ranges)

Since:
  3.0

### loadMergeData2

CDOSessionProtocol.MergeDataResult loadMergeData2(CDORevisionAvailabilityInfo targetInfo, CDORevisionAvailabilityInfo sourceInfo, CDORevisionAvailabilityInfo targetBaseInfo, CDORevisionAvailabilityInfo sourceBaseInfo)

Since:
  4.6

### getLockStates2

List<CDOLockState> getLockStates2(int branchID, Collection<CDOID> ids, int depth)

Since:
  4.15

### enableLockNotifications

void enableLockNotifications(int viewID, boolean enable)

Since:
  4.1

### loadPermissions3

Map<CDORevision,CDOPermission> loadPermissions3(Map<CDOBranchPoint,Set<InternalCDORevision>> revisions)

Since:
  4.22

### authorizeOperations

String[] authorizeOperations(org.eclipse.net4j.util.security.operations.AuthorizableOperation[] operations)

Since:
  4.15

### requestChangeServerPassword

void requestChangeServerPassword(AtomicReference<char[]> receiver)
Requests that the server initiate the change-credentials protocol. This is an optional session protocol operation.

Throws:
  `UnsupportedOperationException` - if the session protocol implementation does not support requesting change of credentials
Since:
  4.13

### requestResetCredentials

void requestResetCredentials(String userID)
Requests that the server initiate the reset-credentials protocol. This is an optional session protocol operation.

Parameters:
  `userID` - the ID of the user whose credentials are to be reset
Throws:
  `UnsupportedOperationException` - if the session protocol implementation does not support requesting reset of credentials
Since:
  4.3

### requestUnit

boolean requestUnit(int viewID, CDOID rootID, CDOProtocolConstants.UnitOpcode opcode, boolean prefetchLockStates, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor safe)

Since:
  4.23

### lockObjects

@Deprecated CDOSessionProtocol.LockObjectsResult lockObjects(List<InternalCDORevision> viewedRevisions, int viewID, CDOBranch viewedBranch, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, long timeout) throws InterruptedException
Deprecated.

Throws:
  `InterruptedException`

### unlockObjects

@Deprecated void unlockObjects(CDOView view, Collection<CDOID> objectIDs, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType)
Deprecated.

### commitTransaction

@Deprecated CDOSessionProtocol.CommitTransactionResult commitTransaction(int transactionID, String comment, boolean releaseLocks, CDOIDProvider idProvider, CDOCommitData commitData, Collection<CDOLob<?>> lobs, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)
Deprecated.

### commitDelegation

@Deprecated CDOSessionProtocol.CommitTransactionResult commitDelegation(CDOBranch branch, String userID, String comment, CDOCommitData commitData, Map<CDOID,EClass> detachedObjectTypes, Collection<CDOLob<?>> lobs, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)
Deprecated.

### loadMergeData

@Deprecated Set<CDOID> loadMergeData(CDORevisionAvailabilityInfo targetInfo, CDORevisionAvailabilityInfo sourceInfo, CDORevisionAvailabilityInfo targetBaseInfo, CDORevisionAvailabilityInfo sourceBaseInfo)
Deprecated.

### getLockStates

@Deprecated CDOLockState[] getLockStates(int viewID, Collection<CDOID> ids)
Deprecated.

### getLockStates

@Deprecated CDOLockState[] getLockStates(int branchID, Collection<CDOID> ids, int depth)
Deprecated.

### openView

@Deprecated CDOBranchPoint openView(int viewID, boolean readOnly, String durableLockingID)
Deprecated.

### requestChangeCredentials

@Deprecated void requestChangeCredentials()
Deprecated.

### loadPermissions

@Deprecated Map<CDORevision,CDOPermission> loadPermissions(InternalCDORevision[] revisions)
Deprecated.

### requestUnit

@Deprecated boolean requestUnit(int viewID, CDOID rootID, CDOProtocolConstants.UnitOpcode opcode, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)
Deprecated.